//
//  SpeakEasyAppDelegate.h
//  SpeakEasy
//
//  Created by Holger Hinzberg on 30.03.11.
//  Copyright 2011 Cocoa-Coding. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface SpeakEasyAppDelegate : NSObject <NSApplicationDelegate, NSSpeechSynthesizerDelegate> {
@private
    NSWindow *window;
    IBOutlet NSTextField *inputText;
    IBOutlet NSButton *stopButton;
    IBOutlet NSButton *sayButton;
    
    // Ein NSPopUpButton zur Auswahl der Stimmen
    IBOutlet NSPopUpButton *voicesPopUpButton;
    
    // Das ist der Sprachsynthesizer
    NSSpeechSynthesizer *speechSynth;
}

@property (assign) IBOutlet NSWindow *window;

- (IBAction)clickSayButton:(id)sender;
- (IBAction)clickStopButton:(id)sender;

// Eine Stimme wurde ausgewählt
- (IBAction)voiceSelected:(id)sender;

@end
